package com.srs.dormitory.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsNewRange;

/**
 * 住宿区间Service接口
 *
 * @author srs
 * @date 2024-03-15
 */
public interface IDmsNewRangeService extends IService<DmsNewRange> {
    /**
     * 查询住宿区间
     *
     * @param id 住宿区间主键
     * @return 住宿区间
     */
    public DmsNewRange selectDmsNewRangeById(Long id);

    /**
     * 查询住宿区间列表
     *
     * @param dmsNewRange 住宿区间
     * @return 住宿区间集合
     */
    List<DmsNewRange> selectDmsNewRangeList(DmsNewRange dmsNewRange);

    /**
     * 新增住宿区间
     *
     * @param dmsNewRange 住宿区间
     * @return 结果
     */
    AjaxResult insertDmsNewRange(DmsNewRange dmsNewRange);

    /**
     * 修改住宿区间
     *
     * @param dmsNewRange 住宿区间
     * @return 结果
     */
    AjaxResult updateDmsNewRange(DmsNewRange dmsNewRange);

    /**
     * 批量删除住宿区间
     *
     * @param ids 需要删除的住宿区间主键集合
     * @return 结果
     */
    int deleteDmsNewRangeByIds(Long[] ids);

    /**
     * 删除住宿区间信息
     *
     * @param id 住宿区间主键
     * @return 结果
     */
    int deleteDmsNewRangeById(Long id);
}
